Skip to main content
`Ctrl`+`K`

# numpy.char.startswith

char.startswith(a, prefix, start=0, end=None)

  Returns a boolean array which is True where the string element in `a` starts with `prefix`, otherwise False.

  Parameters:
    a array-like, with `StringDType`, `bytes_`, or `str_` dtype
    prefix array-like, with `StringDType`, `bytes_`, or `str_` dtype
    start, end array_like, with any integer dtype

      With `start`, test beginning at that position. With `end`, stop comparing at that position.

  Returns:
    out ndarray

      Output array of bools

  See also

  `str.startswith`

  Examples

      >>> import numpy as np
      >>> s = np.array(['foo', 'bar'])
      >>> s
      array(['foo', 'bar'], dtype='<U3')
      >>> np.strings.startswith(s, 'fo')
      array([True,  False])
      >>> np.strings.startswith(s, 'o', start=1, end=2)
      array([True,  False])